<?php 
require("common_begin.php");

$lst = Listopia::getInstance();

if ($lst->isLoggedIn())
{
  if ($lst->isUserAbleToEditNewsPage())
  {
    // post the modification
    $data = array(
      'message'         => "Default news content\n------------",
      'timestamp_utc'   => time()
    );
    $ok = $lst->Database()->insert('news', $data);
  }
}

require("common_end.php");

